UR-TEST-USE(1p)

NAME
ur test use - Tests each module for compile errors by 'use'-ing it. Also reports on any libs added to @INC by any modules (bad!).

VERSION
This document describes ur test use version 0.29.

SYNOPSIS
ur test use [--exec=?] [--summarize-externals] [--verbose] [CLASSES-OR-MODULES]

ur test use

ur test use Some::Module Some::Other::Module

ur test use ./Module.pm Other/Module.pm

OPTIONAL ARGUMENTS

exec  Text
    Execute the specified Perl _after_ using all of the modules.

summarize-externals  Boolean
    List all modules used which are outside the namespace.

nosummarize-externals  Boolean
    Make summarize-externals 'false'

verbose  Boolean
    List each explicitly.

noverbose  Boolean
    Make verbose 'false'

CLASSES-OR-MODULES
    (undocumented)

DESCRIPTION:
  Tests each module by "use"-ing it.  Failures are reported individually.

  Successes are only reported individualy if the --verbose option is specified.

  A count of total successes/failures is returned as a summary in all cases.

  This command requires that the current working directory be under a namespace module.

  If no modules or class names are specified as parameters, it runs on all modules in the namespace.

  If modules or class names ARE listed, it will operate only on those.

  Words containing double-colons will be interpreted as absolute class names.

  All other words will be interpreted as relative file paths to modules.